Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. If you'd prefer to explore, try our test area to get started. And see here for current known issues.

New Member

Unity 2.46 to 4.03 upg was done direct, not going to 402, Cant import users

Customer thought they could upgrade from 2.46 directly to 4.03. They were smart enough to use the 2.46 export utiltiy found on the 4.02 CD. and Copied off the FullDBImport.exe from the 4.02 CD as well.

Did a 4.03 install that is working fine.

When they run the FullDBImport tool the error log is filled with SQL errors. (shown at end of post)

Is there some way around this issue ? Do they need to uninstall 4.03 and install 4.02 and then import users and then upgrade to 4.03 ? Will it work.

(error) Creation of Handler failed. Reason=[Microsoft][ODBC SQL Server Driver][SQL Server]Could not find stored procedure 'sp_ImportCallHandler'., Code=-2147217900

sp_ImportCallHandler @Alias = N'ch_defaulttemplate', @DisplayName = N'{Default}', @AfterMessageAction = 2, @AfterMessageConversation = N'PHTransfer', @EditMsg = -1, @IsPrimary = -1, @MaxMsgLen = 300, @OneKeyDelay = 1500, @ScheduleObjectName = N'All Hours - All Days', @SendUrgentMsg = 2, @CreateContactRules = 1, @CreateMenuEntries = 1, @CreateMessagingRules = 1, @Undeletable = -1

Skipping Handler...

1 ACCEPTED SOLUTION

Accepted Solutions
Cisco Employee

Re: Unity 2.46 to 4.03 upg was done direct, not going to 402, Ca

No... 4.0(2) was the last version you could jump directly to from 2.x - you'll have to do a "two hop" upgrade to get to 4.0(3). This is noted in the upgrade guide and on the latest version of the Full DBImport/Export from www.CiscoUnityTools.com.

5 REPLIES
Cisco Employee

Re: Unity 2.46 to 4.03 upg was done direct, not going to 402, Ca

No... 4.0(2) was the last version you could jump directly to from 2.x - you'll have to do a "two hop" upgrade to get to 4.0(3). This is noted in the upgrade guide and on the latest version of the Full DBImport/Export from www.CiscoUnityTools.com.

New Member

Re: Unity 2.46 to 4.03 upg was done direct, not going to 402, Ca

So a uninstall of 4.03 and then an install of 4.02.

Then import the users.

That should work ?

Thanks

Cisco Employee

Re: Unity 2.46 to 4.03 upg was done direct, not going to 402, Ca

The FullDBImport process into 4.0(2) should create/connect to all the users that were in 2.4.6 for you - but yes - new users can be imported fine after that.

New Member

Re: Unity 2.46 to 4.03 upg was done direct, not going to 402, Ca

Jeff,

I am replying to this post in order to get clarification regarding the 2.4.6 to 4.0.3 upgrade. I am doing a similar upgrade in the next month or so. I have read the upgrade documentation and it just says you have to upgrade to 4.0.3 or 4.0.4 first before you can do the Exchange upgrade. I have read elsewhere and according to this post, you have to go to 4.0.2 first and then to 4.0.4. Is there a specific note on this. Will I have to upgrade to 4.0.2 as is indicated here. Have Unity up and running at 4.0.2 and then do another export uninstall and reinstall to 4.0.3 or 4.0.4 and then import once Exchange 5.5 is upgraded to 2003?? The next logical question for me is where do I get version 4.0.2? If the procedure to upgrade from 2.4.6 to 4.0.3 or 4.0.4 is to go to 4.0.2 first then shouldn't 4.0.2 come with the upgrade CD's?

Thanks in advance

Cisco Employee

Re: Unity 2.46 to 4.03 upg was done direct, not going to 402, Ca

You can import directly into 4.0(3) and later now - it used to be a "two hop" jump for upgrades to versions beyond 4.0(2) but there were so many folks jumping from 2.x to 4.x when 2.4.6 was end of lifed that we decided to burn a few weeks and cut a version of FullDBImport that could do it directly.

Use this version of fullDBImport:

http://www.ciscounitytools.com/App_full_import_export4x.htm

there is a help file out there with the details. It's the same process as before, I just had to cut a new version to handle this.

117
Views
0
Helpful
5
Replies